# Uses of Class
org.eclipse.search.ui.text.TextSearchQueryProvider.TextSearchInput

Packages that use TextSearchQueryProvider.TextSearchInput
Package
Description
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of TextSearchQueryProvider.TextSearchInput in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type TextSearchQueryProvider.TextSearchInput
Modifier and Type
Method
Description
`abstract ISearchQuery`
TextSearchQueryProvider.`createQuery(TextSearchQueryProvider.TextSearchInput textSearchInput)`
Create a query for the input with the given information.